> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.nukio.mx/nukio-api/fleets/fleet-metadata/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.nukio.mx/_mcp/server. # fleetMetadata GET https://app.nukio.mx/api/v1/eventdata/fleetmetadata/{startTime}/{endTime}/authorization Reference: https://developers.nukio.mx/nukio-api/fleets/fleet-metadata ## Authentication - `authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `startTime` (string, required) — start time of the events to call on EPOCH(use 0 as wildcard) - `endTime` (string, required) — end time of the events to call on EPOCH (use 0 as wildcard) ## Response ### 200 OK - `success` (string, required) - `metadata` (list of any, required) - `status_code` (string, required) - `hasUpdateDevicePrivileges` (boolean, required) ## Examples **Request** ```json {} ``` **Response** ```json { "success": "1", "metadata": [ { "fleetId": "fleet-987654321", "fleetName": "Northwest Delivery Fleet", "deviceCount": 125, "activeDevices": 120, "lastUpdated": 1712000000, "region": "Pacific Northwest" }, { "fleetId": "fleet-123456789", "fleetName": "Southeast Service Fleet", "deviceCount": 80, "activeDevices": 78, "lastUpdated": 1711995000, "region": "Southeast US" } ], "status_code": "200", "hasUpdateDevicePrivileges": true } ``` **SDK Code** ```python Fleets_fleetMetadata_example import requests url = "https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization" payload = {} headers = { "authorization": "", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Fleets_fleetMetadata_example const url = 'https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization'; const options = { method: 'GET', headers: {authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Fleets_fleetMetadata_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Fleets_fleetMetadata_example require 'uri' require 'net/http' url = URI("https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Fleets_fleetMetadata_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization") .header("authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Fleets_fleetMetadata_example request('GET', 'https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp Fleets_fleetMetadata_example using RestSharp; var client = new RestClient("https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization"); var request = new RestRequest(Method.GET); request.AddHeader("authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Fleets_fleetMetadata_example import Foundation let headers = [ "authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.nukio.mx/api/v1/eventdata/fleetmetadata/0/0/authorization")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```